Skip to main content
PUT
/
v1
/
customers
/
{id}
Update a customer
curl --request PUT \
  --url https://sandbox.inflowafrica.com/api/v1/customers/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "isActive": true,
  "dateOfBirth": "2023-12-25",
  "gender": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.inflowafrica.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your API key starting with gtw_sk_

Path Parameters

id
string<uuid>
required

Body

application/json
firstName
string
lastName
string
email
string
phone
string
isActive
boolean
dateOfBirth
string<date>
gender
string

Response

Customer updated